summaryrefslogtreecommitdiff
path: root/scripts/define.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/define.sh')
-rwxr-xr-xscripts/define.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/scripts/define.sh b/scripts/define.sh
new file mode 100755
index 0000000..041f0a1
--- /dev/null
+++ b/scripts/define.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+
+if [ -z "$1" ]; then
+ echo "[!] Provide a word"
+ exit 1
+fi
+
+RESP=$(curl -s -q https://api.dictionaryapi.dev/api/v2/entries/en/$1 | jq -r '
+ [.[0].meanings[]
+ | select(.partOfSpeech=="noun")
+ | .definitions[].definition][0:2]
+ | to_entries
+ | map("\(.key + 1). \(.value)")
+ | join("\n")
+' 2>/dev/null)
+
+if [ -z "$RESP" ]; then
+ notify-send -t 10000 -u normal -i accessories-dictionary "Meaning Not Found!"
+else
+ notify-send -t 10000 -u normal -i accessories-dictionary "$1" "$RESP"
+fi
+